<div class="banner banner--one d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-7 tt-order-2">
				<div class="banner__content">
					<?php if ( ! empty( $settings['subtitle'] ) ) : ?>
						<h3 class="banner__subtitle wow fadeInUp">
							<?php echo $settings['subtitle']; ?>
						</h3>
					<?php endif ?>

					<?php if ( ! empty( $settings['title'] ) ) : ?>
						<h1 class="banner__title wow fadeInUp" data-wow-delay=".3s">
							<?php echo $settings['title']; ?>
						</h1>
					<?php endif ?>

					<?php if ( ! empty( $settings['description'] ) ) : ?>
						<p class="wow fadeInUp banner__description" data-wow-delay=".5s">
							<?php echo $settings['description']; ?>
						</p>
					<?php endif ?>
					<div class="banner__btns wow fadeInUp" data-wow-delay=".7s">
						<?php if ( ! empty( $settings['btn_link']['url'] ) ) : ?>
							<a href="<?php echo esc_url( $settings['btn_link']['url'] ) ?>"  class="tt-btn banner-btn">
								<?php echo $settings['btn_text'] ?>
							</a>
						<?php endif; ?>

						<?php if ( ! empty( $settings['play_btn_link']['url'] ) ) : ?>
							<a href="<?php echo esc_url( $settings['play_btn_link']['url'] ); ?>" class="play-button">
								<i class="fas fa-play"></i><?php echo esc_html( $settings['play_btn_text'] ); ?>
							</a>
						<?php endif; ?>
					</div>

					<?php if ( is_array( $settings['logo_lists'] ) ) : ?>
						<div class="banner__brand-logo-wrapper wow fadeInUp" data-wow-delay="0.9s">
							<?php if ( ! empty ( $settings['brand_title'] ) ) : ?>
								<h4 class="banner__brand-title"><?php echo esc_html( $settings['brand_title'] ); ?></h4>
							<?php endif; ?>

							<?php if ( $settings['show_brand_logo'] ) : ?>
								<ul class="banner__brand-logos">
									<?php foreach ( $settings['logo_lists'] as $item ) : ?>
										<li>
											<?php if ( ! empty( $item['brand_image']['url'] ) ) : ?>
												<img src="<?php echo esc_url( $item['brand_image']['url'] ) ?>" alt="<?php echo esc_attr( $item['brand_name'] ); ?>">
											<?php endif; ?>
										</li>
									<?php endforeach; ?>
								</ul>
								<!-- /.banner__brand-logos -->
							<?php endif; ?>
						</div>
						<!-- /.banner__brand-logo-wrapper -->
					<?php endif; ?>
				</div>

			</div>

			<div class="col-lg-5">
				<div class="banner__feature-image">
					<?php if ( ! empty( $settings['feature_image']['url'] ) ) : ?>
						<img src="<?php echo esc_url( $settings['feature_image']['url'] ); ?>" class="wow fadeInUp" data-wow-delay="0.5s" alt="<?php echo esc_attr( $settings['title'] ); ?>">
					<?php endif; ?>

					<?php if ( $settings['animate_element'] == 'yes' ) : ?>
						<ul class="banner__animate-element animate-element">
							<?php foreach ( $settings['parallax_images'] as $item ) : ?>
								<li class="layer elementor-repeater-item-<?php echo esc_attr( $item['_id'] ); ?>" data-depth="<?php echo esc_attr( $item['parallax_factor'] ); ?>">
									<div class="inner">
										<img src="<?php echo esc_url( $item['parallax_image']['url'] ); ?>" alt="<?php echo esc_attr( $settings['title'] ); ?>">
									</div>
									<!-- /.inner -->
								</li>
							<?php endforeach; ?>
						</ul>
						<!-- /.animate-element -->
					<?php endif; ?>
				</div>
				<!-- /.banner-feature-image -->
			</div>
			<!-- /.col-md-6 -->

		</div>
	</div>

</div>
