<div class="banner banner--two">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="banner__content text-center">
					<?php if ( ! empty( $settings['subtitle'] ) ) : ?>
						<h3 class="banner__subtitle wow fadeInUp">
							<?php echo $settings['subtitle']; ?>
						</h3>
					<?php endif ?>

					<?php if ( ! empty( $settings['title'] ) ) : ?>
						<h1 class="banner__title wow fadeInUp" data-wow-delay=".3s">
							<?php echo $settings['title']; ?>
						</h1>
					<?php endif ?>

					<?php if ( ! empty( $settings['description'] ) ) : ?>
						<p class="wow fadeInUp banner__description" data-wow-delay=".5s">
							<?php echo $settings['description']; ?>
						</p>
					<?php endif ?>

					<div class="banner__btns wow fadeInUp" data-wow-delay=".7s">
						<?php if ( ! empty( $settings['btn_link']['url'] ) ) : ?>
							<a <?php $this->print_render_attribute_string( 'button' ); ?>>
								<?php echo esc_html($settings['btn_text']); ?>
							</a>
						<?php endif; ?>

						<?php if ( ! empty( $settings['sec_btn_link']['url'] ) ) : ?>
							<a <?php $this->print_render_attribute_string( 'secondary_button' ); ?>>
								<?php echo esc_html($settings['sec_btn_text']); ?>
							</a>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<!-- /.col-lg-8 -->

			<div class="col-lg-10">
				<div class="banner__feature-image">
					<?php if ( $settings['feature_image_two']['url'] ) : ?>
						<img src="<?php echo esc_url( $settings['feature_image_two']['url'] ); ?>" class="wow fadeInUp" data-wow-delay="0.5s" alt="<?php echo esc_attr( $settings['title'] ); ?>">
					<?php endif; ?>

					<?php if ( is_array($settings['image_lists']) ) : ?>
						<ul class="banner__image-lists animate-element">
							<?php foreach ( $settings['image_lists'] as $item ) : ?>
								<li class="image_item layer elementor-repeater-item-<?php echo esc_attr( $item['_id'] ); ?>" data-depth="<?php echo esc_attr( $item['parallax_factor'] ); ?>">
									<div class="inner">
										<img class="wow <?php echo $item['animation_name'] ?>" data-wow-delay="<?php echo esc_attr( $item['animation_delay'] ) ?>ms" src="<?php echo esc_url( $item['image_one']['url'] ); ?>" alt="">
									</div>
								</li>
							<?php endforeach; ?>
						</ul>
						<!-- /.banner__image-lists -->
					<?php endif; ?>
				</div>
				<!-- /.banner-feature-image -->
			</div>
			<!-- /.col-lg-9 -->
		</div>
		<!-- /.row -->
	</div>
</div>
