<section class="banner banner--three d-flex align-items-center">
	<div class="container">
		<div class="row align-items-center justify-content-center">
			<div class="col-lg-6 tt-order-2">
				<div class="banner__content">
					<?php if ( ! empty( $settings['title'] ) ) : ?>
						<h1 class="banner__title wow fadeInUp">
							<?php echo $settings['title']; ?>
						</h1>
					<?php endif ?>

					<?php if ( ! empty( $settings['description'] ) ) : ?>
						<p class="wow fadeInUp banner__description" data-wow-delay="0.5s">
							<?php echo $settings['description']; ?>
						</p>
					<?php endif ?>

					<form action="<?php echo admin_url( 'admin-ajax.php' ); ?>" method="post" class="banner__newsletter-form wow fadeInUp" data-wow-delay="0.7s" data-tt-form="newsletter-subscribe">
						<input type="hidden" name="action" value="quiety_mailchimp_subscribe">

						<div class="newsletter-inner">
							<input type="email" name="email" class="form-control" id="banner__newsletter-form-email" placeholder="<?php echo esc_attr( $settings['placeholder'] ); ?>" required>

							<button type="submit" name="submit" id="banner__newsletter-submit" class="newsletter-submit">
								<span><?php echo esc_html( $settings['subscribe_text'] ); ?></span>
								<i class="fa fa-circle-o-notch fa-spin"></i>
							</button>
						</div>
						<div class="form-result alert">
							<div class="content"></div>
						</div><!-- /.form-result-->
					</form><!-- /.newsletter-form -->

					<?php if ( $settings['show_brand_logo'] ) : ?>
						<?php if ( ! empty( $settings['list_item'] )) : ?>
							<ul class="banner__feature wow fadeInUp" data-wow-delay="0.7s">
								<?php foreach ( $settings['list_item'] as $item ) : ?>
									<?php if ( ! empty( $item['list_title'] ) ):  ?>
										<li><i class="ei ei-icon_check"></i><?php echo $item['list_title'] ?></li>
									<?php endif; ?>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
					<?php endif; ?>

				</div>
			</div>

			<?php if ( ! empty( $settings['feature_image_three']['url'] ) ) : ?>
				<div class="col-lg-6">
					<div class="banner__feature-image">
						<img src="<?php echo esc_url( $settings['feature_image_three']['url'] ); ?>" class="wow fadeInUp" data-wow-delay="0.5s" alt="<?php echo esc_attr( $settings['title'] ); ?>">
						<img class="banner_secondary_image" src="<?php echo esc_url( $settings['feature_image_three_secondary']['url'] ); ?>" class="wow fadeInUp" data-wow-delay="0.5s" alt="<?php echo esc_attr( $settings['title'] ); ?>">

						<?php if ( $settings['animate_element_two'] == 'yes' ) : ?>
							<ul class="banner__animate-element-two animate-element">
								<?php foreach ( $settings['parallax_two_images'] as $item ) : ?>
									<li class="layer elementor-repeater-item-<?php echo esc_attr( $item['_id'] ); ?>" data-depth="<?php echo esc_attr( $item['parallax_factor'] ); ?>">
										<div class="inner">
											<img src="<?php echo esc_url( $item['parallax_image_two']['url'] ); ?>" alt="<?php echo esc_attr( $settings['title'] ); ?>">
										</div>
										<!-- /.inner -->
									</li>
								<?php endforeach; ?>
							</ul>
							<!-- /.animate-element -->
						<?php endif; ?>

					</div>
					<!-- /.banner-feature-image -->

				</div>
				<!-- /.col-md-6 -->
			<?php endif; ?>

			<div class="col-lg-9 tt-order-2"">
				<?php if ( is_array( $settings['logo_lists'] ) ) : ?>
					<div class="banner__brand-logo-wrapper wow fadeInUp" data-wow-delay="0.9s">
						<ul class="banner__brand-logos">
							<?php foreach ( $settings['logo_lists'] as $item ) : ?>
								<li>
									<img src="<?php echo esc_url( $item['brand_image']['url'] ) ?>" alt="<?php echo esc_attr( $item['brand_name'] ); ?>">
								</li>
							<?php endforeach; ?>
						</ul>
						<!-- /.banner__brand-logos -->
					</div>
					<!-- /.banner__brand-logo-wrapper -->
				<?php endif; ?>
			</div>
			<!-- /.col-lg-10 -->
		</div>
	</div>
</section>
