<section class="event-hero banner">
    <div class="position-relative">
        <div class="container">
            <div class="row align-items-md-center">
                <div class="col-lg-6">
                    <div class="event-hero-content">
                        <?php
                        if ( !empty($settings['subtitle']) ) { ?>
                            <span class="text-pink fw-bold banner__subtitle"><?php echo esc_html($settings['subtitle']) ?></span>
                            <?php
                        }
                        if ( !empty($settings['title']) ) { ?>
                            <h1 class="fw-bold display-5 banner__title">
                                <?php echo Quiety_Core_Helper()->kses_post($settings['title']) ?>
                            </h1>
                            <?php
                        }
                        if ( !empty($settings['description']) ) { ?>
                            <p class="mb-4 banner__description"><?php echo esc_html($settings['description']) ?></p>
                            <?php
                        }
                        ?>
                        <div class="action-btns mt-4 align-items-center d-block d-sm-flex d-lg-flex d-md-flex">
                            <?php
                            if ( !empty($settings['btn_text']) ) { ?>
                                <a <?php Quiety_Core_Helper()->the_button($settings['btn_link']) ?> class="btn btn-primary banner-btn bg-pink me-3">
                                    <?php echo esc_html($settings['btn_text']) ?>
                                </a>
                                <?php
                            }
                            if ( !empty($settings['sec_btn_text']) ) { ?>
                                <a <?php Quiety_Core_Helper()->the_button($settings['sec_btn_link']) ?> class="btn border-pink text-pink">
                                    <?php echo esc_html($settings['sec_btn_text']) ?>
                                </a>
                                <?php
                            }
                            ?>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="mt-5 mt-lg-0 event-hero-img">
                        <?php
                        if ( !empty($settings['feature_image']['id']) ) {
                            echo wp_get_attachment_image($settings['feature_image']['id'], 'full', '', array( 'class' => 'img-fluid' ));
                        }
                        ?>
                        <a href="<?php echo esc_url($settings['play_btn_link']['url']) ?>" class="popup-youtube">
                            <i class="fas fa-play"></i>
                        </a>
                    </div>
                </div>
            </div>
            <ul class="list-unstyled ev-hero-shape d-none d-xl-block m-0">
                <?php
                if ( !empty($settings['shape1']['id']) ) { ?>
                    <li>
                        <?php echo wp_get_attachment_image($settings['shape1']['id'], 'full'); ?>
                    </li>
                    <?php
                }
                ?>
                <li></li>
                <li></li>
                <li></li>
                <?php
                if ( !empty($settings['shape2']['id']) ) { ?>
                    <li>
                        <?php echo wp_get_attachment_image($settings['shape2']['id'], 'full'); ?>
                    </li>
                    <?php
                }
                ?>
            </ul>
        </div>
    </div>
</section>