<div <?php $this->print_render_attribute_string( 'box_wrapper' ); ?>>

    <?php if ( $settings['icon_type'] == 'type_icon' ) : ?>
        <?php if ( $settings['icon_pack'] == 'fontawesome' ) : ?>
            <div class="tt-icon-box__icon-container">
                <?php if ( ! empty( $settings['box_icon'] ) ) : ?>
                    <?php \Elementor\Icons_Manager::render_icon( $settings['box_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                <?php endif; ?>
            </div>
        <?php  elseif ( $settings['icon_pack'] == 'feather' ) : ?>
            <div class="tt-icon-box__icon-container">
                <?php if ( ! empty( $settings['feather_icon'] ) ) : ?>
                    <i class="<?php echo esc_attr( $settings['feather_icon'] ) ?>"></i>
                <?php endif; ?>
            </div>
        <?php endif; ?>
    <?php endif; ?>

    <?php if ( $settings['icon_type'] == 'type_image' ) : ?>
        <div class="tt-icon-box__icon-container">
            <?php if ( ! empty( $settings['icon_image']['url'] ) ) : ?>
                <img src="<?php echo $settings['icon_image']['url'] ?>"	alt="<?php echo $settings['box_title']; ?>">
            <?php endif; ?>
        </div>
    <?php endif; ?>
    <!-- /.icon-container -->

    <div class="tt-icon-box__content">

        <?php
        $title = $settings['box_title'];

        if ( ! empty( $settings['title_link']['url'] ) && ! empty( $title ) ) {
            $this->add_link_attributes( 'url', $settings['title_link'] );
            $title = sprintf( '<a %1$s>%2$s</a>', $this->get_render_attribute_string( 'url' ), $title );
        }

        if ( ! empty( $title ) ) {
            $title_html = sprintf( '<%1$s %2$s>%3$s</%1$s>', Elementor\Utils::validate_html_tag( $settings['title_size'] ), $this->get_render_attribute_string( 'box_title' ), $title );
            echo $title_html;
        }
        ?>

        <?php if ( ! empty( $settings['description'] ) ) : ?>
            <p class="tt-icon-box__description">
                <?php echo $settings['description']; ?>
            </p>
        <?php endif; ?>

        <?php if ( 'yes' === $settings['show_button'] ) : ?>
            <a <?php $this->print_render_attribute_string( 'button' ); ?>>
                <span class="button-text-wrapper">
                    <span <?php $this->print_render_attribute_string( 'icon_align' ); ?>>
                        <?php if ( ! empty( $settings['button_icon'] ) ) : ?>
                            <?php \Elementor\Icons_Manager::render_icon( $settings['button_icon'], [ 'aria-hidden' => 'true' ] ); ?>
                        <?php endif; ?>
                    </span>
                    <span <?php $this->print_render_attribute_string( 'btn_text' ); ?>><?php $this->print_unescaped_setting( 'btn_text' ); ?></span>
                </span>
                <!-- /.button-text-wrapper -->
            </a>
        <?php endif; ?>
    </div>

    <?php if ( ! empty( $settings['badge_text'] ) ) : ?>
        <div class="tt-icon-box__badge">
            <?php echo esc_html( $settings['badge_text'] ); ?>
        </div>
        <!-- /.tt-icon-box__badge -->
    <?php endif; ?>
</div>
<!-- /.tt-icon-box -->