<?php
if ( isset( $settings['grid_metro_layout'] ) ) {
	$tt_layout = array();

	foreach ( $settings['grid_metro_layout'] as $key => $value ) {
		$tt_layout[] = $value['size'];
	}
} else {
	$tt_layout = array(
		'2:2',
		'1:1',
		'1:1',
		'2:1',
		'1:1',
		'1:1',
		'2:2',
        '2:1',
    );
}

if ( count( $tt_layout ) < 1 ) {
	return;
}

$tt_layout_count = count( $tt_layout );
$tt_item_count   = 0;
$count              = $tt_query->post_count;
$ant                = 0.5;

while ( $tt_query->have_posts() ) : $tt_query->the_post();
	$animation = $settings['grid_animation'];
	$reveal = $settings['reveal_animation'];
	$classes = array( "tt-job-item grid-item" );


	$size   = $tt_layout[ $tt_item_count ];
	$ratio  = explode( ':', $size );
	$ratioW = $ratio[0];
	$ratioH = $ratio[1];


	$grid_classes = '';

	if ( ! empty( $settings['grid_animation'] ) ) {
		$grid_classes .= $settings['grid_animation'] . ' wow ';
	}
	if ( ! empty( $settings['overlay_style'] ) ) {
		$grid_classes .= $settings['overlay_style'];
	}


	$_image_width  = $settings['metro_image_size_width'];
	$_image_height = $_image_width * $settings['metro_image_ratio']['size'];
	if ( in_array( $ratioW, array( '2' ) ) ) {
		$_image_width *= 2;
	}

	if ( in_array( $ratioH, array( '1.3', '2' ) ) ) {
		$_image_height *= 2;
	} ?>
	
<div <?php post_class( implode( ' ', $classes ) ); ?> data-width="<?php echo esc_attr( $ratioW ); ?>"
	data-height="<?php echo esc_attr( $ratioH ); ?>">
	<div class="post-wrapper quiety-box <?php echo $grid_classes; ?>" data-wow-delay="<?php echo esc_attr( $ant ); ?>s">
		<div class="post-thumbnail-wrapper quiety-image grid-item-height">
		<a href="<?php echo the_permalink(); ?>" class="post-permalink link-secret">
				<div class="post-thumbnail">
					<?php if ( has_post_thumbnail() ) { ?>
					<?php Sasworld_Image::the_post_thumbnail( array(
							'size'   => 'custom',
							'width'  => $_image_width,
							'height' => $_image_height,
						) );?>
					<?php } else {
						Quiety_Helper::image_placeholder( 480, 480 );
					} ?>
				</div>

				<?php if ( ! empty( $settings['overlay_style'] ) ) : ?>
				<div class="portfolio-info">
					<h3 class="portfolio-title" data-hover="<?php the_title(); ?>">
						<span><?php the_title(); ?></span>
					</h3>
					<div class="portfolio-cat">
						<?php
						$terms = get_the_terms(get_the_ID(), 'portfolio_cat');

						if ($terms && !is_wp_error($terms)) :
							foreach ($terms as $term) { ?>
						<span class="cat"><?php echo $term->name; ?></span>
						<?php } ?>
						<?php endif; ?>
					</div>
				</div>
				<?php endif; ?>
			</a>
		</div>
	</div>
</div>
<?php
	$tt_item_count++;
	if ( $tt_item_count == $count || $tt_layout_count == $tt_item_count ) {
		$tt_item_count = 0;
	}

	$ant = $ant + 0.2;
	?>
<?php endwhile; ?>