<div class="tt-pricing-list">
    <div class="tt-pricing-list__info">
        <ul class="tt-pricing-list__feature">
            <?php foreach ( $settings['features'] as $item ) : ?>
                <li>
                    <?php \Elementor\Icons_Manager::render_icon( $item['icons'], [ 'aria-hidden' => 'true' ] ); ?>
                    <?php echo esc_html($item['feature_title'] ); ?>
                </li>
            <?php endforeach; ?>
        </ul>
        <!-- /.tt-pricing-list__feature -->
    </div>
    <!-- /.tt-pricing-list__info -->


    <div class="tt-pricing-list__price-info">
        <div class="nav pricing-tab-nav" id="myTab" role="tablist">
            <?php if ( ! empty( $settings['tab_primary'] )) : ?>
                <button class="nav-link active" id="home-tab-<?php echo esc_attr($unique_id) ?>" data-bs-toggle="tab" data-bs-target="#home-<?php echo esc_attr($unique_id) ?>" type="button" aria-controls="home-<?php echo esc_attr($unique_id) ?>" aria-selected="true"><?php echo esc_html( $settings['tab_primary'] ); ?></button>
            <?php endif; ?>
            <?php if ( ! empty( $settings['tab_secondary'] )) : ?>
                <button class="nav-link" id="profile-tab-<?php echo esc_attr($unique_id) ?>" data-bs-toggle="tab" data-bs-target="#profile-<?php echo esc_attr($unique_id) ?>" type="button" aria-controls="profile-<?php echo esc_attr($unique_id) ?>" aria-selected="false"><?php echo esc_html( $settings['tab_secondary'] ); ?></button>
            <?php endif; ?>
        </div>

        <div class="tab-content" id="nav-tabContent">

            <div class="tab-pane fade show active" id="home-<?php echo esc_attr($unique_id) ?>" role="tabpanel" aria-labelledby="home-tab-<?php echo esc_attr($unique_id) ?>">
                <?php if( ! empty( $settings['primary_title']) ) : ?>
                    <h3 class="tt-pricing-list__title"><?php echo esc_html($settings['primary_title']); ?></h3>
                <?php endif; ?>

                <?php if( ! empty( $settings['primary_description']) ) : ?>
                    <p class="tt-pricing-list__description"><?php echo esc_html($settings['primary_description']); ?></p>
                <?php endif; ?>

                <div class="tt-pricing-list__price-wrapper">
                    <?php if( ! empty( $settings['primary_price']) ) : ?>
                        <div class="tt-pricing-list__price">
                            <span class="price"><?php echo esc_html($settings['primary_price']) ?></span><span class="pricing-period"><?php echo esc_html($settings['primary_period']) ?></span>
                        </div>
                    <?php endif; ?>

                    <?php if ( ! empty( $settings['primary_btn_url']['url'] ) ) : ?>
                        <a <?php $this->print_render_attribute_string( 'button' ); ?>>
                            <?php echo esc_html( $settings['primary_btn_text'] ); ?>
                        </a>
                    <?php endif; ?>
                </div>
                <!-- /.tt-pricing-list__price-wrapper -->
            </div>

            <div class="tab-pane fade" id="profile-<?php echo esc_attr($unique_id) ?>" role="tabpanel" aria-labelledby="profile-tab-<?php echo esc_attr($unique_id) ?>">
                <?php if( ! empty( $settings['secondary_title']) ) : ?>
                    <h3 class="tt-pricing-list__title"><?php echo esc_html($settings['secondary_title']); ?></h3>
                <?php endif; ?>

                <?php if( ! empty( $settings['secondary_description']) ) : ?>
                    <p class="tt-pricing-list__description"><?php echo esc_html($settings['secondary_description']); ?></p>
                <?php endif; ?>

                <div class="tt-pricing-list__price-wrapper">
                    <?php if( ! empty( $settings['secondary_price']) ) : ?>
                        <div class="tt-pricing-list__price">
                            <span class="price"><?php echo esc_html($settings['secondary_price']) ?></span><span class="pricing-period"><?php echo esc_html($settings['secondary_period']) ?></span>
                        </div>
                    <?php endif; ?>

                    <?php if ( ! empty( $settings['secondary_btn_url']['url'] ) ) : ?>
                        <a <?php $this->print_render_attribute_string( 'secondary_button' ); ?>>
                            <?php echo esc_html( $settings['secondary_btn_text'] ); ?>
                        </a>
                    <?php endif; ?>
                </div>
                <!-- /.tt-pricing-list__price-wrapper -->
            </div>
        </div>
    </div>
    <!-- /.tt-pricing-list__price-info -->
</div>