<section class="mk-pricing-section">
    <div class="row">
        <div class="offset-lg-7 col-lg-5">
            <div class="mk-pricing-control-wrapper d-flex align-items-center justify-content-center justify-content-lg-start mb-5">
                <ul class="mk-pricing-control list-unstyled p-0 m-0 d-flex align-items-center">
                    <li><a href="javascript:void(0)" class="mk_monthly_switch active"><?php echo esc_html( $settings['tab1_title'] ) ?></a></li>
                    <li><a href="javascript:void(0)" class="mk_yearly_switch"><?php echo esc_html( $settings['tab2_title'] ) ?></a></li>
                </ul>
                <?php echo wp_get_attachment_image($settings['tab_shape']['id'], 'full', '', [ 'class' => 'mk-arrow-shape' ]) ?>
            </div>
        </div>
    </div>
    <div class="row justify-content-center g-4">
        <?php
        if ( is_array($pricing_tables2)) {
            foreach ( $pricing_tables2 as $item ) {
                ?>
                <div class="col-xl-4 col-md-6">
                    <div class="mk-pricing-column bg-white elementor-repeater-item-<?php echo esc_attr( $item['_id']); ?>">
                        <?php
                        if ( !empty( $item['icon']['value'] ) ) { ?>
                            <span class="icon-wrapper d-inline-flex align-items-center justify-content-center rounded blue-bg">
                                <?php \Elementor\Icons_Manager::render_icon( $item['icon'], [ 'class' => 'img-fluid' ] ); ?>
                            </span>
                            <?php
                        }
                        if ( !empty( $item['package_name'] ) ) { ?>
                            <h6 class="mk-heading mb-2 mt-3"><?php echo esc_html($item['package_name']) ?></h6>
                            <?php
                        }
                        if ( !empty( $item['contents'] ) ) { ?>
                            <p class="mb-4"><?php echo esc_html($item['contents']) ?></p>
                            <?php
                        }

                        //Monthly Pricing Tab
                        if ( !empty( $item['monthly_price'] ) ) { ?>
                            <h2 class="mk-heading mk-price-title mb-4 mk_monthly_price">
                                <?php echo esc_html($item['monthly_price']) ?><span>/<?php echo esc_html($item['monthly_duration']) ?></span>
                            </h2>
                            <?php
                        }

                        //Yearly Pricing Tab
                        if ( !empty( $item['yearly_price'] ) ) { ?>
                            <h2 class="mk-heading mk-price-title mb-4 mk_yearly_price">
                                <?php echo esc_html($item['yearly_price']) ?><span>/<?php echo esc_html($item['yearly_duration']) ?></span>
                            </h2>
                            <?php
                        }

                        $item_contents = preg_split( '/\r\n|[\r\n]/', $item['list_items'] );
                        if( !empty( $item_contents ) ){
                            echo '<ul class="mk-pricing-list list-unstyled">';
                            foreach( $item_contents as $content ){
                                echo '<li><span class="me-2">
                                          <svg width="13" height="10" viewBox="0 0 13 10" fill="none" xmlns="http://www.w3.org/2000/svg">
                                              <path d="M1 5.26667L4.73333 9L12.2 1" stroke="#FF724B" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                                          </svg>
                                      </span>'. esc_html( $content ) .'</li>';
                            }
                            echo '</ul>';
                        }
                        if ( !empty( $item['btn_label'] ) ) { ?>
                            <a <?php Quiety_Core_Helper()->the_button($item['btn_url']) ?> class="mk-pricing-btn fw-bold mt-40">
                                <?php echo esc_html($item['btn_label']) ?>
                            </a>
                            <?php
                        }
                        ?>
                    </div>
                </div>
                <?php
            }
        }
        ?>
    </div>
</section>