<section class="payment-testimonial">
    <div class="swiper-container payment-testimonial-slider">
        <div class="swiper-wrapper">
            <?php
            if ( !empty($testimonials) ) {
                foreach ($testimonials as $testimonial ) {
                    ?>
                    <div class="swiper-slide">
                        <div class="single-payment-testimonial bg-white p-5 rounded-custom testimonial-item">
                            <?php
                            if ( !empty($settings['quote_image']['id']) ) {
                                echo wp_get_attachment_image($settings['quote_image']['id'], 'full', '', [ 'class' => 'mb-4' ]);
                            }
                            if ( !empty($testimonial['title']) ) { ?>
                                <h5 class="mb-3"><?php echo esc_html($testimonial['title']) ?></h5>
                                <?php
                            }
                            if ( !empty($testimonial['review_content']) ) { ?>
                                <p class="mb-3"><?php echo esc_html($testimonial['review_content']) ?></p>
                                <?php
                            }
                            ?>
                            <ul class="list-unstyled rating-list list-inline mb-4">
                                <?php
                                $rating = $testimonial['rating'];
                                $this->add_render_attribute( 'star-rating', 'class', 'tt-star-rating tt-star-' . esc_attr( $rating ) );

                                $rating_markup = "<div class='star-rating tt-star-". $rating."'>\n";
                                $rating_markup .= "<span class=\"tt-star-1 fa-star\"></span>\n";
                                $rating_markup .= "<span class=\"tt-star-2 fa-star\"></span>\n";
                                $rating_markup .= "<span class=\"tt-star-3 fa-star\"></span>\n";
                                $rating_markup .= "<span class=\"tt-star-4 fa-star\"></span>\n";
                                $rating_markup .= "<span class=\"tt-star-5 fa-star\"></span>\n";
                                $rating_markup .= "</div>";

                                echo $rating_markup;
                                ?>
                            </ul>
                            <div class="payment-t-author d-flex align-items-center">
                                <?php
                                if ( !empty($testimonial['image']['id']) ) { ?>
                                    <div class="payment-auth-img me-3">
                                        <?php echo wp_get_attachment_image($testimonial['image']['id'], 'full'); ?>
                                    </div>
                                    <?php
                                }
                                if ( !empty($testimonial['name']) ) { ?>
                                    <div class="payment-auth-info">
                                        <h5 class="h6 m-0"><?php echo esc_html($testimonial['name']) ?></h5>
                                        <small><?php echo esc_html($testimonial['designation']) ?></small>
                                    </div>
                                    <?php
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <?php
                }
            }
            ?>
        </div>
            </div>
</section>