<section class="mk-feedback-section">
    <div class="container">
        <div class="row justify-content-between align-items-center">
            <div class="col-xl-5 col-lg-6">
                <div class="mk-feedback-content">
                    <div class="mk-title mb-30">
                        <?php
                        if ( !empty($settings['upper_title']) ) { ?>
                            <span class="mk-subtitle fw-bold mb-3"><?php echo esc_html($settings['upper_title']) ?></span>
                            <?php
                        }
                        if ( !empty($settings['title']) ) { ?>
                            <h2 class="mk-heading mb-4"><?php echo esc_html($settings['title']) ?></h2>
                            <?php
                        }
                        if ( !empty($settings['content']) ) { ?>
                            <p class="mb-0"><?php echo esc_html($settings['content']) ?></p>
                            <?php
                        }
                        ?>
                    </div>
                    <div class="mk-carousel-control carousel-indicators position-relative" id="mkCarouselControl">
                        <?php
                        $i = 0;
                        if ( !empty($testimonials9) ) {
                            foreach ( $testimonials9 as $item ) {
                                $is_active = $i == 0 ? 'active' : '';
                                ?>
                                <button type="button" data-bs-target="#mkCarousel" data-bs-slide-to="<?php echo esc_attr($i) ?>" class="<?php echo esc_attr($is_active) ?>">
                                    <?php echo wp_get_attachment_image($item['image']['id'], 'full', '', [ 'class' => 'img-fluid rounded-circle' ]); ?>
                                </button>
                                <?php
                                ++$i;
                            }
                        }
                        ?>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="mk-feedback-right position-relative mt-5 mt-lg-0">
                    <?php
                    if ( !empty($settings['fimage']['id']) ) {
                        echo wp_get_attachment_image($settings['fimage']['id'], 'full', '', [ 'class' => 'img-fluid' ]);
                        echo wp_get_attachment_image($settings['shape']['id'], 'full', '', [ 'class' => 'position-absolute mk-doted d-none d-xxl-block' ]);
                    }
                    ?>
                    <div class="mk-feedback-slider carousel slide" id="mkCarousel" data-bs-ride="carousel">
                        <div class="carousel-inner">
                            <?php
                            $i = 0;
                            if ( !empty($testimonials9) ) {
                                foreach ( $testimonials9 as $item ) {
                                    $is_active = $i == 0 ? 'active' : '';
                                    ?>
                                    <div class="mk-feedback-single carousel-item <?php echo esc_attr($is_active) ?>">
                                        <?php
                                        if ( !empty($item['title']) ) { ?>
                                            <h5 class="mk-heading mb-2 __title"><?php echo esc_html($item['title']) ?></h5>
                                            <?php
                                        }
                                        if ( !empty($item['review_content']) ) { ?>
                                            <p class="mb-4 __review"><span class="me-4"></span><?php echo esc_html($item['review_content']) ?></p>
                                            <?php
                                        }
                                        if ( !empty($item['name']) ) { ?>
                                            <div class="mk-feedback-author d-flex align-items-center">
                                                <?php echo wp_get_attachment_image($item['image']['id'], 'quiety_48x48', '', [ 'class' => 'img-fluid rounded-circle' ]); ?>
                                                <div class="ms-3">
                                                    <h6 class="mk-heading name"><?php echo esc_html($item['name']) ?></h6>
                                                    <ul class="mk-rating list-unstyled d-flex align-items-center m-0">
                                                        <li><i class="fa-solid fa-star"></i></li>
                                                        <li><i class="fa-solid fa-star"></i></li>
                                                        <li><i class="fa-solid fa-star"></i></li>
                                                        <li><i class="fa-solid fa-star"></i></li>
                                                        <li><i class="fa-solid fa-star"></i></li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <?php
                                        }
                                        ?>
                                    </div>
                                    <?php
                                    ++$i;
                                }
                            }
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>