<?php
/**
 * Job single.
 *
 * @package Quiety_Core
 * @since   1.0.0
 */

get_header();
$meta = get_post_meta( get_the_ID(), 'quiety_job_options', true );

$form_link = quiety_option('support_form');
$email = quiety_option('support_email');
$chat = quiety_option('support_chat');
?>
	<section class="support_details_area">
		<div class="container">
			<div class="support-single">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php if ( has_post_thumbnail() ) { ?>
						<div class="support-feature-image">
							<?php echo the_post_thumbnail( 'quiety-job-single' ); ?>
						</div>
					<?php } ?>
					<div class="content-inner">
						<div class="row">
							<div class="col-md-4">
								<?php Quiety_Support::related(); ?>


								<ul class="support-contact-info">
									<?php if ( ! empty( $form_link ) ) : ?>
										<li><i class="far fa-file-alt"></i><?php echo esc_html( $form_link ) ?></li>
									<?php endif; ?>

									<?php if ( ! empty( $form_link ) ) : ?>
										<li><i class="far fa-envelope"></i><?php echo esc_html( $email ) ?></li>
									<?php endif; ?>

									<?php if ( ! empty( $form_link ) ) : ?>
										<li><i class="far fa-comment-alt"></i><?php echo esc_html( $chat ) ?></li>
									<?php endif; ?>
								</ul>
								<!-- /.support-contact-info -->

							</div>
							<!-- /.col-md-4 -->
							<div class="col-md-8">
								<div class="support-content">
									<h1 class="support-title"><?php esc_html(the_title()); ?></h1>
									<!-- /.support-title -->
									<?php the_content(); ?>
								</div>
								<!-- /.support-content -->
							</div>
							<!-- /.col-md-8 -->
						</div>
						<!-- /.row -->
					</div><!-- /.content-inner -->

				<?php endwhile;
				wp_reset_postdata();
				?>
			</div><!-- .job-single -->
		</div>
		<!-- /.container -->
	</section>
	<?php
?>


<?php get_footer();